> ## Documentation Index
> Fetch the complete documentation index at: https://docs.masivo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List reviews

> List and filter reviews for the account.



## OpenAPI

````yaml GET /reviews
openapi: 3.0.1
info:
  title: Masivo's REST API
  description: Learn how to use Masivo's REST API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.masivo.ai/api/storefront/v1
security:
  - bearerAuth: []
paths:
  /reviews:
    get:
      description: List and filter reviews for the account.
      parameters:
        - in: query
          name: from
          description: Starting record index, starting from 0
          required: true
          schema:
            type: string
        - in: query
          name: to
          description: Ending record index, starting from 0
          required: true
          schema:
            type: string
        - in: query
          name: review_form_id
          description: Filter by review form id
          schema:
            type: string
            format: uuid
        - in: query
          name: customer_id
          description: Filter by customer id
          schema:
            type: string
        - in: query
          name: anonymous
          description: When true, only responses without a customer_id
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
        - in: query
          name: source
          description: Filter by source
          schema:
            type: string
        - in: query
          name: platform
          description: Filter by platform
          schema:
            type: string
        - in: query
          name: brand_id
          description: Filter by brand id
          schema:
            type: string
        - in: query
          name: store_id
          description: Filter by store id
          schema:
            type: string
        - in: query
          name: channel_id
          description: Filter by channel id
          schema:
            type: string
        - in: query
          name: created_from
          description: Filter responses created on or after this ISO 8601 date
          schema:
            type: string
            format: date-time
        - in: query
          name: created_to
          description: Filter responses created on or before this ISO 8601 date
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Review'
                  from:
                    type: number
                    example: 0
                  to:
                    type: number
                    example: 20
                  count:
                    type: number
                    example: 1
        '422':
          description: Unprocessable Content
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Review:
      type: object
      properties:
        id:
          type: string
          format: uuid
        account_id:
          type: string
          format: uuid
        review_form_id:
          type: string
          format: uuid
        journey_id:
          type: string
          format: uuid
          nullable: true
        event_id:
          type: string
          format: uuid
          nullable: true
        customer_id:
          type: string
          nullable: true
        source:
          type: string
        platform:
          type: string
          nullable: true
        brand_id:
          type: string
          nullable: true
        store_id:
          type: string
          nullable: true
        channel_id:
          type: string
          nullable: true
        answers:
          $ref: '#/components/schemas/FormAnswers'
        respondent:
          type: object
          additionalProperties: true
        metadata:
          type: object
          additionalProperties: true
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    Error:
      required:
        - error
        - details
      type: object
      properties:
        error:
          type: string
        details:
          type: string
    FormAnswers:
      type: object
      description: >-
        Answers keyed by field name. SCORE: number. TEXT: string. SELECT: string
        option value. MULTI_SELECT: array of option values.
      additionalProperties: true
      example:
        score: 4
        reason:
          - wait_time
        comment: Good follow-up
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````